Loading...
Searching...
No Matches
Magick::DrawablePoint Class Reference
Inheritance diagram for Magick::DrawablePoint:

## Public Member Functions

| DrawablePoint (double x_, double y_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x
double | _y

## Detailed Description

Definition at line 1204 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePoint()

Magick::DrawablePoint::DrawablePoint | ( | double | x_,
|  | double | y_ )

inline

Definition at line 1207 of file Drawable.h.

: _x(x_),
_y(y_)
{ }

## ~DrawablePoint()

Magick::DrawablePoint::~DrawablePoint | ( | void |  | ) |

Definition at line 894 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePoint::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 901 of file Drawable.cpp.

{
return new DrawablePoint(*this);
}

## operator()()

void Magick::DrawablePoint::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 897 of file Drawable.cpp.

{
DrawPoint( context_, _x, _y );
}

## x() [1/2]

void Magick::DrawablePoint::x | ( | double | x_ | ) |

inline

Definition at line 1220 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawablePoint::x | ( | void |  | ) | const

inline

Definition at line 1224 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawablePoint::y | ( | double | y_ | ) |

inline

Definition at line 1229 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawablePoint::y | ( | void |  | ) | const

inline

Definition at line 1233 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _x

double Magick::DrawablePoint::_x

private

Definition at line 1239 of file Drawable.h.

## _y

double Magick::DrawablePoint::_y

private

Definition at line 1240 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp